Subject: Re: bug#33975: [PATCH] inhibit read-only text properties in comint-interrupt-subjob

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Feb 2019 10:51:28 +0200

> From: Alex Branham <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 22 Feb 2019 15:26:00 -0600
> 
> > Can you explain how having comint-prompt-read-only interferes with
> > interrupt-process in this case?  I don't think I understand the
> > connection, and neither this bug report nor the ESS issue do, AFAICT.
> 
> Sure thing. `comint-interrupt-subjob' calls `comint-skip-input', which
> tries to do this:
> 
> (insert "  " (key-description (this-command-keys)))
> 
> Which fails if the text at point is read only.

Then shouldn't the change be inside comint-skip-input instead?  I
mean, the same problem will happen also in all other callers of
comint-skip-input, no?

(I'm not sure I understand why that function inserts the description
of this-command-keys -- is that to insert "C-c C-c" into the buffer?
This is not in the doc string, perhaps we should add that.)

Thanks.